feature-management list:
  return_type: FeaturesManagementListAgentResponse
  help: List all available features
  type: dict
  cli:
    users:
      - root

feature-management defaults:
  return_type: FeaturesManagementDefaultsAgentResponse
  help: Get the default state of all features for new users
  type: dict
  cli:
    users:
      - root

feature-management show:
  return_type: FeaturesManagementShowAgentResponse
  help: List the state of all features for all users
  type: dict
  cli:
    users:
      - root
  schema:
    search:
      help: Search specific users by name.
      type: string
      nullable: true
    limit:
      help: Limits the output with specified number of incidents.
      type: integer
      coerce: int
      default: 100
    offset:
      help: Offset for pagination.
      type: integer
      coerce: int
      default: 0
    order_by:
      help: List of fields to sort the results by.
      type: list
      schema:
        type: order_by
        coerce: order_by
      nullable: true

feature-management get:
  return_type: FeaturesManagementGetAgentResponse
  help: Get the state of all features for a specific user
  type: dict
  cli:
    users:
      - root
  schema:
    user:
      help: Specifies a user name to obtain the status of features for
      type: string
